const express = require("express");
const generatequotationRouter = express.Router();
const { generatequotationController } = require("../controllers");
const handleToken = require("../models/handleToken/handlerToken");

generatequotationRouter.post(
  "/generate",
  handleToken,
  generatequotationController.generateQuotation
);
generatequotationRouter.get(
  "/generate",
  handleToken,
  generatequotationController.getQuotation
);

generatequotationRouter.get(
  "/generatebyid/:id",
  handleToken,
  generatequotationController.getQuotationById
);

module.exports = generatequotationRouter;
